--- kvm.changes.orig
+++ kvm.changes
@@ -1,4 +1,285 @@
 -------------------------------------------------------------------
+Tue Jul  6 23:32:15 UTC 2021 - José Ricardo Ziviani <jose.ziviani@suse.com>
+
+- Fix for bsc#1179467, CVE-2020-29129, CVE-2020-29130
+  1115-slirp-check-pkt_len-before-reading-.patch
+- Fix for bsc#1187364, CVE-2021-3592 and
+  Fix for bsc#1187367, CVE-2021-3594
+  1116-libslirp-Add-mtod_check.patch
+  1117-libslirp-bootp-limit-vendor-specifi.patch
+  1118-libslirp-bootp-check-bootp_input-bu.patch
+  1119-libslirp-udp-check-upd_input-buffer.patch
+
+-------------------------------------------------------------------
+Tue Jun 29 00:13:16 UTC 2021 - José Ricardo Ziviani <jose.ziviani@suse.com>
+
+- Fix for CVE-2019-14378, bsc#1143794
+  1113-Fix-heap-overflow-in-ip_reass-on-bi.patch
+- Fix for CVE-2020-1983, bsc#1170940
+  1114-Fix-use-afte-free-in-ip_reass-CVE-2.patch
+
+-------------------------------------------------------------------
+Thu Mar 25 12:22:24 UTC 2021 - Lin Ma <lma@suse.com>
+
+Fix for bsc#1163018, bsc#1183923(HUAWEI), CVE-2020-8608
+* Patches added:
+  1112-tcp_emu-fix-unsafe-snprintf-usages.patch
+
+-------------------------------------------------------------------
+Wed Mar  7 11:54:40 UTC 2018 - lma@suse.com
+
+- Backport vnc related patches for fixing bsc#1074701
+  Including CVE-2017-2633 fix and CVE-2015-5225 fix.
+  Patch 1110-vnc-fix-memory-corruption-CVE-2015-.patch needs pixman
+  commit 8f7cc5e4 which isn't available in pixman 0.16-1 in sles 11 sp1.
+  I already backported this commit to pixman in sles 11 sp1, the backport
+  was accepted.
+  So from now on, vnc driver in qemu 0.12.5 needs pixman 0.16.0-2 in
+  sles 11 sp1.
+
+  Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE11-SP1
+* Patches added:
+  1080-Remove-magic-numbers-for-VNC-messag.patch
+  1081-vnc-Fix-compile-error-on-x86_64-wit.patch
+  1082-vnc-split-encoding-in-specific-file.patch
+  1083-vnc-add-buffer_free.patch
+  1084-vnc-return-the-number-of-rectangles.patch
+  1085-vnc-factor-out-vnc_desktop_resize.patch
+  1086-vnc-send-desktopresize-event-as-rep.patch
+  1087-vnc-keep-track-of-client-desktop-si.patch
+  1088-vnc-don-t-send-invalid-screen-updat.patch
+  1089-vnc-move-size-changed-check-into-th.patch
+  1090-vnc-encapsulate-encoding-members.patch
+  1091-vnc-add-a-way-to-get-the-update-fre.patch
+  1092-bitmap-add-a-generic-bitmap-and-bit.patch
+  1093-vnc-use-the-new-generic-bitmap-func.patch
+  1094-vnc-don-t-try-to-send-bigger-update.patch
+  1095-vnc-Fix-stack-corruption-and-other-.patch
+  1096-Consolidate-DisplaySurface-allocati.patch
+  1097-pixman-windup-in-configure-makefile.patch
+  1098-pixman-helper-functions.patch
+  1099-pixman-add-pixman-image-to-DisplayS.patch
+  1100-console-don-t-set-PixelFormat-alpha.patch
+  1101-vga-stop-direct-access-to-DisplaySu.patch
+  1102-pixman-vnc-use-pixman-images-in-vnc.patch
+  1103-ui-vnc-introduce-VNC_DIRTY_PIXELS_P.patch
+  1104-ui-vnc-derive-cmp_bytes-from-VNC_DI.patch
+  1105-ui-vnc-optimize-dirty-bitmap-tracki.patch
+  1106-ui-vnc-optimize-clearing-in-find_an.patch
+  1107-ui-vnc-optimize-setting-in-vnc_dpy_.patch
+  1108-ui-vnc-limit-client_cut_text-msg-pa.patch
+  1109-ui-vnc-fix-potential-memory-corrupt.patch
+  1110-vnc-fix-memory-corruption-CVE-2015-.patch
+  1111-vnc-fix-overflow-in-vnc_update_stat.patch
+
+-------------------------------------------------------------------
+Wed Feb 28 17:07:02 UTC 2018 - brogers@suse.com
+
+- Eliminate bogus use of CPUID_7_0_EDX_PRED_CMD which we've
+  carried since the initial Spectre v2 patch was added. EDX bit
+  27 of CPUID Leaf 07H, Sub-leaf 0 provides status on STIBP, and
+  not the PRED_CMD MSR. Exposing the STIBP CPUID feature bit to the
+  guest is wrong in general, since the VM doesn't directly control
+  the scheduling of physical hyperthreads. This is left strictly to
+  the L0 hypervisor.
+
+-------------------------------------------------------------------
+Wed Jan 24 23:00:36 UTC 2018 - brogers@suse.com
+
+- Switch package patch management to be git based, using update_git.sh
+  as is done for more recent kvm / qemu packages. This includes patch
+  renames as shown below.
+* Also, since we no longer conditionally patch based on architecture,
+  a few of the s390 patches are reworked to be s390 conditionalized
+  within the code as needed.
+* A few *.orig files crept in over time, which are artifacts of patch
+  management, and not used - remove those. 
+* Patches renamed:
+  qemu-datadir.diff
+  -> 1000-qemu-datadir.patch
+  kvm-qemu-default-memsize.patch
+  -> 1001-kvm-qemu-default-memsize.patch
+  kvm-qemu-no-fallback-if-open-kvm-fails.patch
+  -> 1002-kvm-qemu-no-fallback-if-open-kvm-fa.patch
+  kvm-qemu-user-space-tool-name.patch
+  -> 1003-kvm-qemu-user-space-tool-name.patch
+  kvm-qemu-madvise-DONTFORK-for-tight-memory-migration.patch
+  -> 1004-kvm-qemu-madvise-DONTFORK-for-tight.patch
+  kvm-qemu-lpc.patch
+  -> 1005-kvm-qemu-lpc.patch
+  kvm-qemu-applesmc.patch
+  -> 1006-kvm-qemu-applesmc.patch
+  kvm-qemu-ide-ich6.patch
+  -> 1007-kvm-qemu-ide-ich6.patch
+  kvm-qemu-macmodel.patch
+  -> 1008-kvm-qemu-macmodel.patch
+  kvm-qemu-rtl8139-link.patch
+  -> 1009-kvm-qemu-rtl8139-link.patch
+  kvm-qemu-preXX-dictzip1.patch
+  -> 1010-kvm-qemu-preXX-dictzip1.patch
+  kvm-qemu-preXX-dictzip2.patch
+  -> 1011-kvm-qemu-preXX-dictzip2.patch
+  kvm-qemu-preXX-dictzip3.patch
+  -> 1012-kvm-qemu-preXX-dictzip3.patch
+  kvm-qemu-preXX-dictzip4.patch
+  -> 1013-kvm-qemu-preXX-dictzip4.patch
+  kvm-qemu-preXX-dictzip5.patch
+  -> 1014-kvm-qemu-preXX-dictzip5.patch
+  kvm-qemu-preXX-dictzip6.patch
+  -> 1015-kvm-qemu-preXX-dictzip6.patch
+  kvm-qemu-preXX-virtio-hotplug.patch
+  -> 1016-kvm-qemu-preXX-virtio-hotplug.patch
+  kvm-qemu-preXX-write-full.patch
+  -> 1017-kvm-qemu-preXX-write-full.patch
+  kvm-qemu-preXX-qcow2-error-handling.patch
+  -> 1018-kvm-qemu-preXX-qcow2-error-handling.patch
+  kvm-qemu-preXX-qcow2-regression.patch
+  -> 1019-kvm-qemu-preXX-qcow2-regression.patch
+  kvm-qemu-preXX-rtl8139-timer.patch
+  -> 1020-kvm-qemu-preXX-rtl8139-timer.patch
+  kvm-qemu-preXX-32bit-breakpoint-crash.patch
+  -> 1021-kvm-qemu-preXX-32bit-breakpoint-cra.patch
+  kvm-qemu-preXX-curses-return-key.patch
+  -> 1022-kvm-qemu-preXX-curses-return-key.patch
+  kvm-qemu-preXX-sdl-grab-help.patch
+  -> 1023-kvm-qemu-preXX-sdl-grab-help.patch
+  kvm-qemu-preXX-qdev-ide-bios-setup.patch
+  -> 1024-kvm-qemu-preXX-qdev-ide-bios-setup.patch
+  kvm-qemu-preXX-balloon-report-overflow.patch
+  -> 1025-kvm-qemu-preXX-balloon-report-overf.patch
+  kvm-qemu-preXX-report-open-failure.patch
+  -> 1026-kvm-qemu-preXX-report-open-failure.patch
+  kvm-qemu-preXX-boot-option.patch 
+  -> 1027-kvm-qemu-preXX-boot-option.patch
+  kvm-qemu-pre0.13-flush-unsafe.patch
+  -> 1028-kvm-qemu-pre0.13-flush-unsafe.patch
+  kvm-qemu-pre0.13-flush-unsafe-snapshot.patch
+  -> 1029-kvm-qemu-pre0.13-flush-unsafe-snaps.patch
+  kvm-qemu-preXX-move-unsafe-to-end-of-caching-modes-in-help.patch
+  -> 1030-kvm-qemu-preXX-move-unsafe-to-end-o.patch
+  kvm-qemu-preXX-report-default-mac-used.patch
+  -> 1031-kvm-qemu-preXX-report-default-mac-u.patch
+  kvm-qemu-pre0.13-Extra-scan-codes-for-missing-keys.patch
+  -> 1032-kvm-qemu-pre0.13-Extra-scan-codes-f.patch
+  kvm-qemu-preXX-e1000-fix-multi-descriptor-packet-checksum.patch
+  -> 1033-kvm-qemu-preXX-e1000-fix-multi-desc.patch
+  kvm-qemu-preXX-exit-if-drive-specified-is-invalid-instead.patch
+  -> 1034-kvm-qemu-preXX-exit-if-drive-specif.patch
+  kvm-qemu-preXX-hw-pcnet.c-Fix-EPROM-contents-to-suit-AMD-.patch
+  -> 1035-kvm-qemu-preXX-hw-pcnet.c-Fix-EPROM.patch
+  kvm-qemu-preXX-Don-t-allow-multiwrites-against-a-block-de.patch
+  -> 1036-kvm-qemu-preXX-Don-t-allow-multiwri.patch
+  kvm-qemu-preXX-virtio-blk-fail-unaligned-requests.patch
+  -> 1037-kvm-qemu-preXX-virtio-blk-fail-unal.patch
+  kvm-qemu-no-hot-unplug-for-certain-devices.patch
+  -> 1038-kvm-qemu-no-hot-unplug-for-certain-.patch
+  kvm-qemu-preXX-dictzip7.patch
+  -> 1039-kvm-qemu-preXX-dictzip7.patch
+  kvm-qemu-preXX-dictzip8.patch
+  -> 1040-kvm-qemu-preXX-dictzip8.patch
+  kvm-qemu-preXX-e1000-Pad-short-frames-to-minimum-size-60-.patch
+  -> 1041-kvm-qemu-preXX-e1000-Pad-short-fram.patch
+  kvm-qemu-preXX-console.patch
+  -> 1042-kvm-qemu-preXX-console.patch
+  kvm-qemu-preXX-validate-virtqueue.patch
+  -> 1043-kvm-qemu-preXX-validate-virtqueue.patch
+  kvm-qemu-preXX-virtio-guard-against-negative-vq-notifies.patch
+  -> 1044-kvm-qemu-preXX-virtio-guard-against.patch
+  kvm-qemu-QEMUFileBuffered.patch
+  -> 1045-kvm-qemu-QEMUFileBuffered.patch
+  kvm-qemu-preXX-vmdk-fix-endianness-bugs.patch
+  -> 1046-kvm-qemu-preXX-vmdk-fix-endianness-.patch
+  kvm-qemu-preXX-dictzip9.patch
+  -> 1047-kvm-qemu-preXX-dictzip9.patch
+  kvm-qemu-preXX-vl.c-set-groups-properly-for-runas.patch
+  -> 1048-kvm-qemu-preXX-vl.c-set-groups-prop.patch
+  kvm-qemu-preXX-e1000-check-for-overflow-whenever-issuing-PCI-dma-reads.patch
+  -> 1049-kvm-qemu-preXX-e1000-check-for-over.patch
+  kvm-qemu-preXX-console-bounds-check-whenever-changing-the-cursor-du.patch
+  -> 1050-kvm-qemu-preXX-console-bounds-check.patch
+  kvm-qemu-preXX-block-prevent-snapshot-mode-TMPDIR-symlink-attack.patch
+  -> 1051-kvm-qemu-preXX-block-prevent-snapsh.patch
+  qemu_qcow1-Check-maximum-cluster-size.patch
+  -> 1052-qemu_qcow1-Check-maximum-cluster-si.patch
+  qemu_qcow1-Validate-L2-table-size-CVE-2014-0222.patch
+  -> 1053-qemu_qcow1-Validate-L2-table-size-C.patch
+  qemu_qcow1-Validate-image-size-CVE-2014-0223.patch
+  -> 1054-qemu_qcow1-Validate-image-size-CVE-.patch
+  qemu_fdc_CVE-2015-3456.patch
+  -> 1055-qemu_fdc_CVE-2015-3456.patch
+  pcnet-fix-Negative-array-index-read.patch
+  -> 1056-pcnet-fix-Negative-array-index-read.patch
+  pcnet-force-the-buffer-access-to-be-in-bounds-during.patch
+  -> 1057-pcnet-force-the-buffer-access-to-be.patch
+  qemu-pl022-fix-buffer-overun-on-invalid-state-load.patch
+  -> 1058-qemu-pl022-fix-buffer-overun-on-inv.patch
+  qemu-i386-kvm-MSR_IA32_SPEC_CTRL-and-MSR_IA32_PRED_CMD.patch
+  -> 1059-qemu-i386-kvm-MSR_IA32_SPEC_CTRL-an.patch
+  kvm-studio-slirp-nooutgoing.patch
+  -> 1060-kvm-studio-slirp-nooutgoing.patch
+  kvm-studio-vnc.patch
+  -> 1061-kvm-studio-vnc.patch
+  S390-qemu-kvm.patch
+  -> 1062-S390-qemu-kvm.patch
+  S390-qemu-early-printk.patch
+  -> 1063-S390-qemu-early-printk.patch
+  S390-0002-S390-Tell-user-why-VM-creation-failed.patch
+  -> 1064-S390-0002-S390-Tell-user-why-VM-cre.patch
+  S390-0003-Make-char-muxer-more-robust-wrt-small-FIFOs.patch
+  -> 1065-S390-0003-Make-char-muxer-more-robu.patch
+  S390-0004-Always-notify-consumers-of-char-devices-if-they-re-o.patch
+  -> 1066-S390-0004-Always-notify-consumers-o.patch
+  S390-0005--S390-Implement-virtio-reset.patch
+  -> 1067-S390-0005-S390-Implement-virtio-res.patch
+  S390-0006-S390-Add-firmware-code.patch
+  -> 1068-S390-0006-S390-Add-firmware-code.patch
+  s390-fixes
+  -> 1069-s390-fixes.patch
+  S390-hp-0001--S390-Add-hotplug-support.patch
+  -> 1070-S390-hp-0001-S390-Add-hotplug-suppo.patch
+  S390-hp-0002--S390-Increase-amount-of-virtio-pages.patch
+  -> 1071-S390-hp-0002-S390-Increase-amount-o.patch
+  S390-hp-0003-Compile-device-hotplug.patch
+  -> 1072-S390-hp-0003-Compile-device-hotplug.patch
+  S390-hp-0004-Add-generic-drive-hotplugging.patch
+  -> 1073-S390-hp-0004-Add-generic-drive-hotp.patch
+  S390-hp-0005-Expose-drive_add-on-all-architectures.patch
+  -> 1074-S390-hp-0005-Expose-drive_add-on-al.patch
+  S390-virtio-logicsize.patch
+  -> 1075-S390-virtio-logicsize.patch
+  S390-virtio-byteswap.patch
+  -> 1076-S390-virtio-byteswap.patch
+  S390-memsize.patch
+  -> 1077-S390-memsize.patch
+  ide-Check-array-bounds-before-writing-to-io_buffer.patch
+  -> 1078-ide-Check-array-bounds-before-writi.patch
+  ide-Clear-DRQ-after-handling-all-expected-accesses.patch
+  -> 1079-ide-Clear-DRQ-after-handling-all-ex.patch
+- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE11-SP1
+
+-------------------------------------------------------------------
+Wed Jan 24 10:58:16 UTC 2018 - brogers@suse.com
+
+- Remove vestiges of ia64 in our patches and spec file, since we've
+  long since not built for that architecture.
+ IA64-compile-fix-suse.patch
+ IA64-kvm-suse.patch
+ ia64-fix-pagesize.pl
+
+-------------------------------------------------------------------
+Mon Jan 22 17:34:37 UTC 2018 - brogers@suse.com
+
+- Pass through to guest info related to x86 security vulnerability
+  (CVE-2017-5715 bsc#1068032)
+  qemu-i386-kvm-MSR_IA32_SPEC_CTRL-and-MSR_IA32_PRED_CMD.patch
+
+-------------------------------------------------------------------
+Mon Jan 22 16:37:32 UTC 2018 - brogers@suse.com
+
+- Fix buffer overrun on invalid state load (CVE-2013-4530 bsc#1072228)
+  qemu-pl022-fix-buffer-overun-on-invalid-state-load.patch
+
+-------------------------------------------------------------------
 Mon Jul 20 16:09:51 UTC 2015 - brogers@suse.com
 
 - Fix potential heap overflow in IDE subsystem when certain ATAPI
--- kvm.spec.orig
+++ kvm.spec
@@ -1,7 +1,7 @@
 #
 # spec file for package kvm
 #
-# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -28,7 +28,6 @@
 # individually and not as a group
 %define firmware_files {bios.bin vgabios.bin vgabios-cirrus.bin optionrom/extboot.bin optionrom/linuxboot.bin optionrom/multiboot.bin optionrom/vapic.bin}
 
-#ExclusiveArch:  %ix86 x86_64 ia64 s390x
 ExclusiveArch:  %ix86 x86_64 s390x
 
 %ifarch %ix86 x86_64
@@ -45,8 +44,10 @@ ExclusiveArch:  %ix86 x86_64 s390x
 %define using_buildservice 0%{?opensuse_bs}
 
 Name:           kvm
-BuildRequires:  SDL-devel alsa alsa-devel gnutls-devel libaio-devel ncurses-devel pciutils-devel perl python texinfo
-%ifarch %ix86 x86_64 ia64
+BuildRequires:  SDL-devel alsa alsa-devel gnutls-devel libaio-devel ncurses-devel pciutils-devel perl python texinfo libpixman-1-0-devel
+BuildRequires:  libpixman-1-0-devel >= 0.16.0-2.0
+Requires:       libpixman-1-0 >= 0.16.0-2.0
+%ifarch %ix86 x86_64
 %if %{build_fw_from_source}
 # needed for building vgabios:
 BuildRequires:  bin86
@@ -86,7 +87,7 @@ Source5:        win-virtio-drivers-src.t
 Source6:        %{bios_id}.tar.bz2
 Source7:        %{pxe_rom_id}.tar.bz2
 Source8:        bcc-0.16.17-2.i486.rpm
-#Source9:        %{vgabios_id}.tar.bz2
+Source9:        update_git.sh
 Source10:       kvm-supported.txt
 Source11:       s390-zipl.rom
 Source12:       60-kvm.rules.s390
@@ -96,98 +97,130 @@ Patch02:        gpxe-code-cleanups.patch
 Patch03:        gpxe-virtio-Replace-virtio-net-with-native-gPXE-driver.patch
 Patch04:        seabios-sanitize-version.patch
 Patch05:        vgabios-bcc-paths.patch
-Patch06:        qemu-datadir.diff
-Patch07:        kvm-qemu-default-memsize.patch
-Patch08:        kvm-qemu-no-fallback-if-open-kvm-fails.patch
 Patch09:        seabios-preXX-ap-start.patch
 Patch10:        seabios-preXX-enable-irq-in-spin-functions.patch
-Patch11:        kvm-qemu-user-space-tool-name.patch
-Patch12:        kvm-qemu-madvise-DONTFORK-for-tight-memory-migration.patch
-
-# Mac OS X patches
-Patch13:        kvm-qemu-lpc.patch
-Patch14:        kvm-qemu-applesmc.patch
-Patch15:        kvm-qemu-ide-ich6.patch
-Patch16:        kvm-qemu-macmodel.patch
-Patch17:        kvm-qemu-rtl8139-link.patch
 Patch90:        kvm-bios.patch
-# Post-release upstream patches
-Patch100:       kvm-qemu-preXX-dictzip1.patch
-Patch101:       kvm-qemu-preXX-dictzip2.patch
-Patch102:       kvm-qemu-preXX-dictzip3.patch
-Patch103:       kvm-qemu-preXX-dictzip4.patch
-Patch104:       kvm-qemu-preXX-dictzip5.patch
-Patch105:       kvm-qemu-preXX-dictzip6.patch
-Patch106:       kvm-qemu-preXX-virtio-hotplug.patch
-Patch107:       kvm-qemu-preXX-write-full.patch
-Patch108:       kvm-qemu-preXX-qcow2-error-handling.patch
-Patch109:       kvm-qemu-preXX-qcow2-regression.patch
-Patch110:       kvm-qemu-preXX-rtl8139-timer.patch
-Patch111:       kvm-qemu-preXX-32bit-breakpoint-crash.patch
-Patch112:       kvm-qemu-preXX-curses-return-key.patch
-Patch113:       kvm-qemu-preXX-sdl-grab-help.patch
-Patch114:       kvm-qemu-preXX-qdev-ide-bios-setup.patch
-Patch115:       kvm-qemu-preXX-balloon-report-overflow.patch
-Patch116:       kvm-qemu-preXX-report-open-failure.patch
-Patch117:       kvm-qemu-preXX-boot-option.patch 
-Patch118:       kvm-qemu-pre0.13-flush-unsafe.patch
-Patch119:       kvm-qemu-pre0.13-flush-unsafe-snapshot.patch
-Patch120:       kvm-qemu-preXX-move-unsafe-to-end-of-caching-modes-in-help.patch
-Patch121:       kvm-qemu-preXX-report-default-mac-used.patch
-Patch122:       kvm-qemu-pre0.13-Extra-scan-codes-for-missing-keys.patch
-Patch123:       kvm-qemu-preXX-e1000-fix-multi-descriptor-packet-checksum.patch
-Patch124:       kvm-qemu-preXX-exit-if-drive-specified-is-invalid-instead.patch
-Patch125:       kvm-qemu-preXX-hw-pcnet.c-Fix-EPROM-contents-to-suit-AMD-.patch
-Patch126:       kvm-qemu-preXX-Don-t-allow-multiwrites-against-a-block-de.patch
-Patch127:       kvm-qemu-preXX-virtio-blk-fail-unaligned-requests.patch
-Patch128:       kvm-qemu-no-hot-unplug-for-certain-devices.patch
-Patch129:       kvm-qemu-preXX-dictzip7.patch
-Patch130:       kvm-qemu-preXX-dictzip8.patch
-Patch131:       kvm-qemu-preXX-e1000-Pad-short-frames-to-minimum-size-60-.patch
-Patch132:       kvm-qemu-preXX-console.patch
-Patch133:       kvm-qemu-preXX-validate-virtqueue.patch
-Patch134:       kvm-qemu-preXX-virtio-guard-against-negative-vq-notifies.patch
-Patch135:       kvm-qemu-QEMUFileBuffered.patch
-Patch136:       kvm-qemu-preXX-vmdk-fix-endianness-bugs.patch
-Patch137:       kvm-qemu-preXX-dictzip9.patch
-Patch138:       kvm-qemu-preXX-vl.c-set-groups-properly-for-runas.patch
-Patch139:       kvm-qemu-preXX-e1000-check-for-overflow-whenever-issuing-PCI-dma-reads.patch
-Patch140:       kvm-qemu-preXX-console-bounds-check-whenever-changing-the-cursor-du.patch
-Patch141:       kvm-qemu-preXX-block-prevent-snapshot-mode-TMPDIR-symlink-attack.patch
-Patch142:       qemu_qcow1-Check-maximum-cluster-size.patch
-Patch143:       qemu_qcow1-Validate-L2-table-size-CVE-2014-0222.patch
-Patch144:       qemu_qcow1-Validate-image-size-CVE-2014-0223.patch
-Patch145:       qemu_fdc_CVE-2015-3456.patch
-Patch146:       pcnet-fix-Negative-array-index-read.patch
-Patch147:       pcnet-force-the-buffer-access-to-be-in-bounds-during.patch
-
-Patch200:       kvm-studio-slirp-nooutgoing.patch
-Patch201:       kvm-studio-vnc.patch
-# for IA64
-Source500:      ia64-fix-pagesize.pl
-Patch500:       IA64-kvm-suse.patch
-Patch501:       IA64-compile-fix-suse.patch
-# for S390
-Patch700:       S390-qemu-kvm.patch
-Patch701:       S390-qemu-early-printk.patch
-Patch702:       S390-0002-S390-Tell-user-why-VM-creation-failed.patch
-Patch703:       S390-0003-Make-char-muxer-more-robust-wrt-small-FIFOs.patch
-Patch704:       S390-0004-Always-notify-consumers-of-char-devices-if-they-re-o.patch
-Patch705:       S390-0005--S390-Implement-virtio-reset.patch
-Patch706:       S390-0006--S390-Add-firmware-code.patch
-Patch707:       s390-fixes
-Patch708:       S390-hp-0001--S390-Add-hotplug-support.patch
-Patch709:       S390-hp-0002--S390-Increase-amount-of-virtio-pages.patch
-Patch710:       S390-hp-0003-Compile-device-hotplug-on-all-targets.patch
-Patch711:       S390-hp-0004-Add-generic-drive-hotplugging.patch
-Patch712:       S390-hp-0005-Expose-drive_add-on-all-architectures.patch
-Patch713:       S390-virtio-logicsize.patch
-Patch714:       S390-virtio-byteswap.patch
-Patch715:       S390-memsize.patch
-
-# For upstream patches:
-Patch800:       ide-Check-array-bounds-before-writing-to-io_buffer.patch
-Patch801:       ide-Clear-DRQ-after-handling-all-expected-accesses.patch
+
+Patch1000:      1000-qemu-datadir.patch
+Patch1001:      1001-kvm-qemu-default-memsize.patch
+Patch1002:      1002-kvm-qemu-no-fallback-if-open-kvm-fa.patch
+Patch1003:      1003-kvm-qemu-user-space-tool-name.patch
+Patch1004:      1004-kvm-qemu-madvise-DONTFORK-for-tight.patch
+Patch1005:      1005-kvm-qemu-lpc.patch
+Patch1006:      1006-kvm-qemu-applesmc.patch
+Patch1007:      1007-kvm-qemu-ide-ich6.patch
+Patch1008:      1008-kvm-qemu-macmodel.patch
+Patch1009:      1009-kvm-qemu-rtl8139-link.patch
+Patch1010:      1010-kvm-qemu-preXX-dictzip1.patch
+Patch1011:      1011-kvm-qemu-preXX-dictzip2.patch
+Patch1012:      1012-kvm-qemu-preXX-dictzip3.patch
+Patch1013:      1013-kvm-qemu-preXX-dictzip4.patch
+Patch1014:      1014-kvm-qemu-preXX-dictzip5.patch
+Patch1015:      1015-kvm-qemu-preXX-dictzip6.patch
+Patch1016:      1016-kvm-qemu-preXX-virtio-hotplug.patch
+Patch1017:      1017-kvm-qemu-preXX-write-full.patch
+Patch1018:      1018-kvm-qemu-preXX-qcow2-error-handling.patch
+Patch1019:      1019-kvm-qemu-preXX-qcow2-regression.patch
+Patch1020:      1020-kvm-qemu-preXX-rtl8139-timer.patch
+Patch1021:      1021-kvm-qemu-preXX-32bit-breakpoint-cra.patch
+Patch1022:      1022-kvm-qemu-preXX-curses-return-key.patch
+Patch1023:      1023-kvm-qemu-preXX-sdl-grab-help.patch
+Patch1024:      1024-kvm-qemu-preXX-qdev-ide-bios-setup.patch
+Patch1025:      1025-kvm-qemu-preXX-balloon-report-overf.patch
+Patch1026:      1026-kvm-qemu-preXX-report-open-failure.patch
+Patch1027:      1027-kvm-qemu-preXX-boot-option.patch
+Patch1028:      1028-kvm-qemu-pre0.13-flush-unsafe.patch
+Patch1029:      1029-kvm-qemu-pre0.13-flush-unsafe-snaps.patch
+Patch1030:      1030-kvm-qemu-preXX-move-unsafe-to-end-o.patch
+Patch1031:      1031-kvm-qemu-preXX-report-default-mac-u.patch
+Patch1032:      1032-kvm-qemu-pre0.13-Extra-scan-codes-f.patch
+Patch1033:      1033-kvm-qemu-preXX-e1000-fix-multi-desc.patch
+Patch1034:      1034-kvm-qemu-preXX-exit-if-drive-specif.patch
+Patch1035:      1035-kvm-qemu-preXX-hw-pcnet.c-Fix-EPROM.patch
+Patch1036:      1036-kvm-qemu-preXX-Don-t-allow-multiwri.patch
+Patch1037:      1037-kvm-qemu-preXX-virtio-blk-fail-unal.patch
+Patch1038:      1038-kvm-qemu-no-hot-unplug-for-certain-.patch
+Patch1039:      1039-kvm-qemu-preXX-dictzip7.patch
+Patch1040:      1040-kvm-qemu-preXX-dictzip8.patch
+Patch1041:      1041-kvm-qemu-preXX-e1000-Pad-short-fram.patch
+Patch1042:      1042-kvm-qemu-preXX-console.patch
+Patch1043:      1043-kvm-qemu-preXX-validate-virtqueue.patch
+Patch1044:      1044-kvm-qemu-preXX-virtio-guard-against.patch
+Patch1045:      1045-kvm-qemu-QEMUFileBuffered.patch
+Patch1046:      1046-kvm-qemu-preXX-vmdk-fix-endianness-.patch
+Patch1047:      1047-kvm-qemu-preXX-dictzip9.patch
+Patch1048:      1048-kvm-qemu-preXX-vl.c-set-groups-prop.patch
+Patch1049:      1049-kvm-qemu-preXX-e1000-check-for-over.patch
+Patch1050:      1050-kvm-qemu-preXX-console-bounds-check.patch
+Patch1051:      1051-kvm-qemu-preXX-block-prevent-snapsh.patch
+Patch1052:      1052-qemu_qcow1-Check-maximum-cluster-si.patch
+Patch1053:      1053-qemu_qcow1-Validate-L2-table-size-C.patch
+Patch1054:      1054-qemu_qcow1-Validate-image-size-CVE-.patch
+Patch1055:      1055-qemu_fdc_CVE-2015-3456.patch
+Patch1056:      1056-pcnet-fix-Negative-array-index-read.patch
+Patch1057:      1057-pcnet-force-the-buffer-access-to-be.patch
+Patch1058:      1058-qemu-pl022-fix-buffer-overun-on-inv.patch
+Patch1059:      1059-qemu-i386-kvm-MSR_IA32_SPEC_CTRL-an.patch
+Patch1060:      1060-kvm-studio-slirp-nooutgoing.patch
+Patch1061:      1061-kvm-studio-vnc.patch
+Patch1062:      1062-S390-qemu-kvm.patch
+Patch1063:      1063-S390-qemu-early-printk.patch
+Patch1064:      1064-S390-0002-S390-Tell-user-why-VM-cre.patch
+Patch1065:      1065-S390-0003-Make-char-muxer-more-robu.patch
+Patch1066:      1066-S390-0004-Always-notify-consumers-o.patch
+Patch1067:      1067-S390-0005-S390-Implement-virtio-res.patch
+Patch1068:      1068-S390-0006-S390-Add-firmware-code.patch
+Patch1069:      1069-s390-fixes.patch
+Patch1070:      1070-S390-hp-0001-S390-Add-hotplug-suppo.patch
+Patch1071:      1071-S390-hp-0002-S390-Increase-amount-o.patch
+Patch1072:      1072-S390-hp-0003-Compile-device-hotplug.patch
+Patch1073:      1073-S390-hp-0004-Add-generic-drive-hotp.patch
+Patch1074:      1074-S390-hp-0005-Expose-drive_add-on-al.patch
+Patch1075:      1075-S390-virtio-logicsize.patch
+Patch1076:      1076-S390-virtio-byteswap.patch
+Patch1077:      1077-S390-memsize.patch
+Patch1078:      1078-ide-Check-array-bounds-before-writi.patch
+Patch1079:      1079-ide-Clear-DRQ-after-handling-all-ex.patch
+Patch1080:      1080-Remove-magic-numbers-for-VNC-messag.patch
+Patch1081:      1081-vnc-Fix-compile-error-on-x86_64-wit.patch
+Patch1082:      1082-vnc-split-encoding-in-specific-file.patch
+Patch1083:      1083-vnc-add-buffer_free.patch
+Patch1084:      1084-vnc-return-the-number-of-rectangles.patch
+Patch1085:      1085-vnc-factor-out-vnc_desktop_resize.patch
+Patch1086:      1086-vnc-send-desktopresize-event-as-rep.patch
+Patch1087:      1087-vnc-keep-track-of-client-desktop-si.patch
+Patch1088:      1088-vnc-don-t-send-invalid-screen-updat.patch
+Patch1089:      1089-vnc-move-size-changed-check-into-th.patch
+Patch1090:      1090-vnc-encapsulate-encoding-members.patch
+Patch1091:      1091-vnc-add-a-way-to-get-the-update-fre.patch
+Patch1092:      1092-bitmap-add-a-generic-bitmap-and-bit.patch
+Patch1093:      1093-vnc-use-the-new-generic-bitmap-func.patch
+Patch1094:      1094-vnc-don-t-try-to-send-bigger-update.patch
+Patch1095:      1095-vnc-Fix-stack-corruption-and-other-.patch
+Patch1096:      1096-Consolidate-DisplaySurface-allocati.patch
+Patch1097:      1097-pixman-windup-in-configure-makefile.patch
+Patch1098:      1098-pixman-helper-functions.patch
+Patch1099:      1099-pixman-add-pixman-image-to-DisplayS.patch
+Patch1100:      1100-console-don-t-set-PixelFormat-alpha.patch
+Patch1101:      1101-vga-stop-direct-access-to-DisplaySu.patch
+Patch1102:      1102-pixman-vnc-use-pixman-images-in-vnc.patch
+Patch1103:      1103-ui-vnc-introduce-VNC_DIRTY_PIXELS_P.patch
+Patch1104:      1104-ui-vnc-derive-cmp_bytes-from-VNC_DI.patch
+Patch1105:      1105-ui-vnc-optimize-dirty-bitmap-tracki.patch
+Patch1106:      1106-ui-vnc-optimize-clearing-in-find_an.patch
+Patch1107:      1107-ui-vnc-optimize-setting-in-vnc_dpy_.patch
+Patch1108:      1108-ui-vnc-limit-client_cut_text-msg-pa.patch
+Patch1109:      1109-ui-vnc-fix-potential-memory-corrupt.patch
+Patch1110:      1110-vnc-fix-memory-corruption-CVE-2015-.patch
+Patch1111:      1111-vnc-fix-overflow-in-vnc_update_stat.patch
+Patch1112:      1112-tcp_emu-fix-unsafe-snprintf-usages.patch
+Patch1113:      1113-Fix-heap-overflow-in-ip_reass-on-bi.patch
+Patch1114:      1114-Fix-use-afte-free-in-ip_reass-CVE-2.patch
+Patch1115:      1115-slirp-check-pkt_len-before-reading-.patch
+Patch1116:      1116-libslirp-Add-mtod_check.patch
+Patch1117:      1117-libslirp-bootp-limit-vendor-specifi.patch
+Patch1118:      1118-libslirp-bootp-check-bootp_input-bu.patch
+Patch1119:      1119-libslirp-udp-check-upd_input-buffer.patch
 
 BuildRoot:      %{_tmppath}/%{name}-%{version}-build
 PreReq:         /usr/sbin/groupadd
@@ -245,110 +278,143 @@ done
 %patch04 -p1
 %patch05 -p1
 %endif
+%ifarch s390x
+cp %{SOURCE11} pc-bios/
+%endif
 cp %{SOURCE10} .
-%patch06 -p1
-%patch07 -p1
-%patch08 -p1
 %patch09 -p1
 %patch10 -p1
-%patch11 -p1
 # Mac OS X guest
-%patch12 -p1
-%patch13 -p1
-%patch14 -p1
-%patch15 -p1
-%patch16 -p1
-%patch17 -p1
 %if %{mac_bios}
 cp -a roms/seabios roms/seabios-mac
 %patch90 -p1 -b .bios-mac
 %endif
-# Post-release patches
-%patch100 -p1
-%patch101 -p1
-%patch102 -p1
-%patch103 -p1
-%patch104 -p1
-%patch105 -p1
-%patch106 -p1
-%patch107 -p1
-%patch108 -p1
-%patch109 -p1
-%patch110 -p1
-%patch111 -p1
-%patch112 -p1
-%patch113 -p1
-%patch114 -p1
-%patch115 -p1
-%patch116 -p1
-%patch117 -p1
-%patch118 -p1
-%patch119 -p1
-%patch120 -p1
-%patch121 -p1
-%patch122 -p1
-%patch123 -p1
-%patch124 -p1
-%patch125 -p1
-%patch126 -p1
-%patch127 -p1
-%patch128 -p1
-%patch129 -p1
-%patch130 -p1
-%patch131 -p1
-%patch132 -p1
-%patch133 -p1
-%patch134 -p1
-%patch135 -p1
-%patch136 -p1
-%patch137 -p1
-%patch138 -p1
-%patch139 -p1
-%patch140 -p1
-%patch141 -p1
-%patch142 -p1
-%patch143 -p1
-%patch144 -p1
-%patch145 -p1
-%patch146 -p1
-%patch147 -p1
-
-# Studio addons
-%patch200 -p1
-%patch201 -p1
-# IA64 support
-%ifarch ia64
-%patch500 -p1
-%patch501 -p1
-%endif
-# S390 support
-%ifarch s390x
-%patch700 -p1
-%patch701 -p1
-%patch702 -p1
-%patch703 -p1
-%patch704 -p1
-%patch705 -p1
-%patch706 -p1
-%patch707 -p1
-%patch708 -p1
-%patch709 -p1
-%patch710 -p1
-%patch711 -p1
-%patch712 -p1
-%patch713 -p1
-%patch714 -p1
-%patch715 -p1
-
-cp %{SOURCE11} pc-bios/
-%endif
 
-%patch800 -p1
-%patch801 -p1
+%patch1000 -p1
+%patch1001 -p1
+%patch1002 -p1
+%patch1003 -p1
+%patch1004 -p1
+%patch1005 -p1
+%patch1006 -p1
+%patch1007 -p1
+%patch1008 -p1
+%patch1009 -p1
+%patch1010 -p1
+%patch1011 -p1
+%patch1012 -p1
+%patch1013 -p1
+%patch1014 -p1
+%patch1015 -p1
+%patch1016 -p1
+%patch1017 -p1
+%patch1018 -p1
+%patch1019 -p1
+%patch1020 -p1
+%patch1021 -p1
+%patch1022 -p1
+%patch1023 -p1
+%patch1024 -p1
+%patch1025 -p1
+%patch1026 -p1
+%patch1027 -p1
+%patch1028 -p1
+%patch1029 -p1
+%patch1030 -p1
+%patch1031 -p1
+%patch1032 -p1
+%patch1033 -p1
+%patch1034 -p1
+%patch1035 -p1
+%patch1036 -p1
+%patch1037 -p1
+%patch1038 -p1
+%patch1039 -p1
+%patch1040 -p1
+%patch1041 -p1
+%patch1042 -p1
+%patch1043 -p1
+%patch1044 -p1
+%patch1045 -p1
+%patch1046 -p1
+%patch1047 -p1
+%patch1048 -p1
+%patch1049 -p1
+%patch1050 -p1
+%patch1051 -p1
+%patch1052 -p1
+%patch1053 -p1
+%patch1054 -p1
+%patch1055 -p1
+%patch1056 -p1
+%patch1057 -p1
+%patch1058 -p1
+%patch1059 -p1
+%patch1060 -p1
+%patch1061 -p1
+%patch1062 -p1
+%patch1063 -p1
+%patch1064 -p1
+%patch1065 -p1
+%patch1066 -p1
+%patch1067 -p1
+%patch1068 -p1
+%patch1069 -p1
+%patch1070 -p1
+%patch1071 -p1
+%patch1072 -p1
+%patch1073 -p1
+%patch1074 -p1
+%patch1075 -p1
+%patch1076 -p1
+%patch1077 -p1
+%patch1078 -p1
+%patch1079 -p1
+%patch1080 -p1
+%patch1081 -p1
+%patch1082 -p1
+%patch1083 -p1
+%patch1084 -p1
+%patch1085 -p1
+%patch1086 -p1
+%patch1087 -p1
+%patch1088 -p1
+%patch1089 -p1
+%patch1090 -p1
+%patch1091 -p1
+%patch1092 -p1
+%patch1093 -p1
+%patch1094 -p1
+%patch1095 -p1
+%patch1096 -p1
+%patch1097 -p1
+%patch1098 -p1
+%patch1099 -p1
+%patch1100 -p1
+%patch1101 -p1
+%patch1102 -p1
+%patch1103 -p1
+%patch1104 -p1
+%patch1105 -p1
+%patch1106 -p1
+%patch1107 -p1
+%patch1108 -p1
+%patch1109 -p1
+%patch1110 -p1
+%patch1111 -p1
+%patch1112 -p1
+%patch1113 -p1
+%patch1114 -p1
+%patch1115 -p1
+%patch1116 -p1
+%patch1117 -p1
+%patch1118 -p1
+%patch1119 -p1
 
 %build
 ./configure --prefix=%{_prefix} \
 	--audio-card-list="ac97 adlib cs4231a gus" \
+    --with-system-pixman \
 %if %{build_fw_from_source}
         --disable-blobs \
 %endif
@@ -357,9 +423,6 @@ cp %{SOURCE11} pc-bios/
 %else
 	--audio-drv-list="alsa sdl oss" \
 %endif
-%ifarch ia64
-        --target-list="ia64-softmmu" --disable-cpu-emulation \
-%endif
 %ifarch s390x
         --target-list="s390x-softmmu" \
 %endif
@@ -430,7 +493,7 @@ mv .%_bindir/qemu-img{,-kvm}
 %if !%{build_fw_from_source}
 rm -r .%_datadir/qemu-kvm/{openbios-sparc32,openbios-sparc64,ppc_rom.bin,openbios-ppc,video.x,bamboo.dtb,petalogix-s3adsp1800.dtb}
 %endif
-%ifarch ia64 s390x
+%ifarch s390x
 rm -f .%_datadir/qemu-kvm/bios.bin
 %endif
 rm -r .{%_mandir/man1/qemu-img.1,%_mandir/man8/qemu-nbd.8}
